package archiveorg

import (
	"fmt"
	"net/http"
)

type ArchiveDetails struct {
	Name                 string
	Cookie               string
	DestinationDirectory string
}

func (a ArchiveDetails) DownloadFile(fileName string) (*http.Response, error) {
	client := &http.Client{}
	url := fmt.Sprintf("https://archive.org/download/%s/%s", a.Name, fileName)
	req, err := http.NewRequest("GET", url, nil)
	if err != nil {
		return nil, err
	}
	print("Getting " + url)
	if a.Cookie != "" {
		req.Header.Set("Cookie", a.Cookie)
	}
	res, err := client.Do(req)
	if err != nil {
		return nil, err
	}
	return res, nil
}

type ArchiveFile struct {
	Name     string
	Selected bool
}

type ArchiveContent struct {
	Files []ArchiveFile
}
